package fr.marouse.repository;

import java.util.List;
import java.util.Optional;

import fr.marouse.entity.Client;
import fr.marouse.entity.Compte;

public interface ClientRepository {

    void save(Client client);

    Optional<Client> findById(int id);

    List<Client> findAll();

    List<Compte> findComptesByClient(int idClient);
}
